package com.lz.modules.luck.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.lz.modules.luck.dao.LuckGoodsMapper;
import com.lz.modules.luck.entity.LuckGoods;
import com.lz.modules.luck.service.LuckGoodsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
* <p>
* 奖品表 服务类
* </p>
*
* @author quyixiao
* @since 2020-08-21
*/

@Service
public class LuckGoodsServiceImpl extends ServiceImpl<LuckGoodsMapper, LuckGoods> implements LuckGoodsService {


    @Autowired
	private LuckGoodsMapper luckGoodsMapper;



	@Override
	public LuckGoods selectLuckGoodsById(Long id){
		return luckGoodsMapper.selectLuckGoodsById(id);
	}



	@Override
	public Long insertLuckGoods(LuckGoods luckGoods){
		return luckGoodsMapper.insertLuckGoods(luckGoods);
	}



	@Override
	public int updateLuckGoodsById(LuckGoods luckGoods){
		return luckGoodsMapper.updateLuckGoodsById(luckGoods);
	}



	@Override
	public int updateCoverLuckGoodsById(LuckGoods luckGoods){
		return luckGoodsMapper.updateCoverLuckGoodsById(luckGoods);
	}



	@Override
	public int deleteLuckGoodsById(Long id){
		return luckGoodsMapper.deleteLuckGoodsById(id);
	}

	@Override
	public List<LuckGoods> getByLuckId(Long luckId){
		return luckGoodsMapper.getByLuckId(luckId);
	}

	@Override
	public int selectNumGoodLuckRecordByLuckId(Long luckId){
		return luckGoodsMapper.selectNumGoodLuckRecordByLuckId(luckId);
	}

	@Override
	public List<LuckGoods> getNoFinishByLuckId(Long luckId){
		return luckGoodsMapper.getNoFinishByLuckId(luckId);
	}

}
